%define oname claws-mail
%define claws_version 3.5.0
%define cvs %nil
%define _disable_ld_no_undefined 1

Summary:	This package contains additional plugins for %{oname}
Name:		%{oname}-plugins
Version:	%{claws_version}
Release:	%mkrel 4
Group:		Networking/Mail
License:	GPL
URL:		http://www.claws-mail.org/plugins/downloads
Source0:	http://downloads.sourceforge.net/sylpheed-claws/%{oname}-extra-plugins-%{version}%{cvs}.tar.bz2
Epoch:		1
BuildRequires:	claws-mail-devel = 1:%{claws_version}
BuildRequires:	claws-mail = 1:%{claws_version}
BuildRequires:	libsynce-devel
BuildRequires:	libetpan-devel
BuildRequires:	perl-devel
BuildRequires:	curl-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libgtkhtml2-devel
BuildRequires:	librapi-devel
%if %mdkversion > 200800
BuildRequires:	libytnef-devel
%endif
BuildRequires:	ghostscript
Requires:	%{oname} = %{claws_version}
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains additional plugins for %{oname}:
%{oname}-acpi-plugin,
%{oname}-att_remover-plugin,
%{oname}-cachesaver-plugin,
%{oname}-fetchinfo-plugin,
%{oname}-mailmbox-plugin,
%{oname}-notification-plugin,
%{oname}-perl-plugin,
%{oname}-rssyl-plugin,
%{oname}-smime-plugin,
%{oname}-synce-plugin,
%{oname}-vcalendar-plugin,
%{oname}-vcalendar-plugin-devel,
%{oname}-spamreport-plugin,
%{oname}-tnefparse-plugin,

%package -n %{oname}-acpi-plugin
Summary:	This plugin enables mail notification via LEDs on some laptops
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Obsoletes:	sylpheed-claws-acpi-plugin
Provides:	sylpheed-claws-acpi-plugin

%description -n %{oname}-acpi-plugin
This plugin for %{oname} enables mail notification via LEDs
on some laptops.

%package -n %{oname}-att_remover-plugin
Summary:	This plugin for %{oname} enables the removal of attachments
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Obsoletes:	sylpheed-claws-att_remover-plugin
Provides:	sylpheed-claws-att_remover-plugin


%description -n %{oname}-att_remover-plugin
This plugin for %{oname} enables the removal of attachments.

%package -n %{oname}-cachesaver-plugin
Summary:	This plugin for %{oname} saves the caches every minute
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-cachesaver-plugin
Obsoletes:	sylpheed-claws2-cachesaver-plugin
Provides:	sylpheed-claws-cachesaver-plugin
Obsoletes:	sylpheed-claws-cachesaver-plugin

%description -n %{oname}-cachesaver-plugin
This plugin for %{oname} saves the caches every minute. It helps
in avoiding the loss of metadata on crashes.

%package -n %{oname}-fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-fetchinfo-plugin
Obsoletes:	sylpheed-claws2-fetchinfo-plugin
Provides:	sylpheed-claws-fetchinfo-plugin
Obsoletes:	sylpheed-claws-fetchinfo-plugin

%description -n %{oname}-fetchinfo-plugin
This plugin for %{oname} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package -n %{oname}-mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-mailmbox-plugin
Obsoletes:	sylpheed-claws2-mailmbox-plugin
Provides:	sylpheed-claws-mailmbox-plugin
Obsoletes:	sylpheed-claws-mailmbox-plugin

%description -n %{oname}-mailmbox-plugin
This plugin for %{oname} provides direct access to mbox folders.

%package -n %{oname}-newmail-plugin
Summary:	This plugin can write a summary to a log file
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Obsoletes:	sylpheed-claws-newmail-plugin
Provides:	sylpheed-claws-newmail-plugin

%description -n %{oname}-newmail-plugin
This plugin for %{oname} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package -n %{oname}-notification-plugin
Summary:	This plugin notify from new mail
Group:		Networking/Mail
BuildRequires:	libnotify-devel
Requires:	%{oname} >= %{claws_version}
Obsoletes:	sylpheed-claws-notification-plugin
Provides:	sylpheed-claws-notification-plugin

%description -n %{oname}-notification-plugin
This plugin for %{oname} notify from new incoming mail.

%package -n %{oname}-perl-plugin
Summary:	Perl interface to %{oname}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-perl-plugin
Obsoletes:	sylpheed-claws2-perl-plugin
Provides:	sylpheed-claws-perl_plugin-plugin
Obsoletes:	sylpheed-claws-perl_plugin-plugin

%description -n %{oname}-perl-plugin
This plugin is intended to extend the filtering possibilities
of %{oname}. It provides a Perl interface to %{oname}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package -n %{oname}-rssyl-plugin
Summary:	This plugin allows you to read your favorite newsfeeds in %{oname}
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Obsoletes:	sylpheed-claws-rssyl-plugin
Provides:	sylpheed-claws-rssyl-plugin

%description -n %{oname}-rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{oname}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package -n %{oname}-smime-plugin
Summary:	This plugin allow to use smine in mail
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Obsoletes:	sylpheed-claws-smime-plugin
Provides:	sylpheed-claws-smime-plugin

%description -n %{oname}-smime-plugin
This plugin for %{oname} allow to use smime in mail.

%package -n %{oname}-synce-plugin
Summary:	This plugin assists in syncing the addressbook
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-synce-plugin
Obsoletes:	sylpheed-claws2-synce-plugin
Provides:	sylpheed-claws-synce-plugin
Obsoletes:	sylpheed-claws-synce-plugin

%description -n %{oname}-synce-plugin
This plugin assists in keeping the addressbook of a Windows CE
device (Pocket PC/ iPAQ, Smartphone etc) in sync with %{oname}s'
addressbook, with respect to email addresses.

%package -n %{oname}-vcalendar-plugin
Summary:	This plugin for %{oname} enables vCalendar message handling
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-vcalendar-plugin
Obsoletes:	sylpheed-claws2-vcalendar-plugin
Provides:	sylpheed-claws-vcalendar-plugin
Obsoletes:	sylpheed-claws-vcalendar-plugin

%description -n %{oname}-vcalendar-plugin
This %{oname} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.

%package -n %{oname}-vcalendar-plugin-devel
Summary:	This plugin for %{oname} install the vcalendar plugin headers 
Group:		Networking/Mail
Requires:	%{oname}-devel >= %{claws_version}

%description -n %{oname}-vcalendar-plugin-devel
Header files for %{oname}-vcalendar-plugin.

%package -n %{oname}-gtkhtml2_viewer-plugin
Summary:	This plugin for %{oname} enables gtkhtml2 viewer
Group:		Networking/Mail
BuildRequires:	gail-devel
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-gtkhtml2_viewer-plugin
Obsoletes:	sylpheed-claws2-gtkhtml2_viewer-plugin
Provides:	sylpheed-claws-gtkhtml2_viewer-plugin
Obsoletes:	sylpheed-claws-gtkhtml2_viewer-plugin

%description -n %{oname}-gtkhtml2_viewer-plugin
This %{oname} plugin provides gtkhtml2 viewer.

%package -n %{oname}-attachwarner-plugin
Summary:	This plugin for %{oname} enables attachwarner
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-gtkhtml2_viewer-plugin
Obsoletes:	sylpheed-claws2-gtkhtml2_viewer-plugin
Provides:	sylpheed-claws-gtkhtml2_viewer-plugin
Obsoletes:	sylpheed-claws-gtkhtml2_viewer-plugin

%description -n %{oname}-attachwarner-plugin
This %{oname} plugin provides attachwarner.

%package -n %{oname}-spam_report-plugin
Summary:	This plugin for %{oname} enables spamreport
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-spam_report-plugin
Obsoletes:	sylpheed-claws2-spam_report-plugin
Provides:	sylpheed-claws-spam_report-plugin
Obsoletes:	sylpheed-claws-spam_report-plugin

%description -n %{oname}-spam_report-plugin
This %{oname} plugin provides spamreport.

%if %mdkversion > 200800
%package -n %{oname}-tnef_parse-plugin
Summary:	This plugin for %{oname} enables parsing MS-TNEF attachments
Group:		Networking/Mail
Requires:	%{oname} >= %{claws_version}
Provides:	sylpheed-claws2-tnef_parse-plugin
Obsoletes:	sylpheed-claws2-tnef_parse-plugin
Provides:	sylpheed-claws-tnef_parse-plugin
Obsoletes:	sylpheed-claws-tnef_parse-plugin

%description -n %{oname}-tnef_parse-plugin
This %{oname} plugin enables parsing MS-TNEF attachments.
%endif

%prep
%setup -q -c

%build
cd claws-mail-extra-plugins-%{version}

%if %mdkversion <= 200800
rm -r tnef_parse*
%endif
rm -r archive*

mv ./* ../
cd -
rmdir claws-mail-extra-plugins-%{version}
#rm -rf CVS/ pgpinline/
for i in `find ./* -maxdepth 0  -type d`
    do
    cd $i
    #./autogen.sh
    %configure2_5x --disable-rpath --disable-static
    %make
    cd -
done

%install
rm -rf %{buildroot}

CLAWS_MAIL_PLUGINDIR=$(pkg-config --variable=plugindir claws-mail)

for i in `find ./* -maxdepth 0  -type d`
    do
    cd $i
    %makeinstall_std CLAWS_MAIL_PLUGINDIR=$CLAWS_MAIL_PLUGINDIR
    cd -
done

# remove devel files from plugins
rm -rf %{buildroot}%{_libdir}/%{oname}/plugins/*.a
#CAE have to rm to prevent conflict libical-devel
rm -f %{buildroot}%{_includedir}/ical.h

# fix permissions
chmod 644 vcalendar*/AUTHORS vcalendar*/COPYING vcalendar*/INSTALL vcalendar*/NEWS vcalendar*/README

%find_lang  %{oname}-acpi-plugin
%find_lang  %{oname}-gtkhtml2_viewer-plugin
%find_lang  %{oname}-vcalendar-plugin
%find_lang  %{oname}-rssyl-plugin
%find_lang  %{oname}-attachwarner-plugin
%find_lang  %{oname}-spam_report-plugin
%if %mdkversion > 200800
%find_lang  %{oname}-tnef_parse-plugin
%endif

%clean
rm -rf %{buildroot}

%files -n %{oname}-acpi-plugin -f %{oname}-acpi-plugin.lang
%defattr(-,root,root)
%doc acpi*/AUTHORS
%doc acpi*/ChangeLog
%doc acpi*/NEWS
%doc acpi*/README
%{_libdir}/%{oname}/plugins/acpi*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/acpi_notifier.mo


%files -n %{oname}-att_remover-plugin
%defattr(-,root,root)
%doc att_remover*/AUTHORS
%doc att_remover*/ChangeLog
%doc att_remover*/NEWS
%doc att_remover*/README
%{_libdir}/%{oname}/plugins/att_remover*

%files -n %{oname}-attachwarner-plugin
%defattr(-,root,root)
%doc attachwarner*/AUTHORS
%doc attachwarner*/ChangeLog
%doc attachwarner*/NEWS
%doc attachwarner*/README
%doc attachwarner*/TODO
%{_libdir}/%{oname}/plugins/attachwarner*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/attach*.mo

%files -n %{oname}-cachesaver-plugin
%defattr(-,root,root)
%doc cachesaver*/AUTHORS
%doc cachesaver*/ChangeLog
%{_libdir}/%{oname}/plugins/cachesaver*

%files -n %{oname}-fetchinfo-plugin
%defattr(-,root,root)
%doc fetchinfo*/ChangeLog
%doc fetchinfo*/README
%{_libdir}/%{oname}/plugins/fetchinfo*

%files -n %{oname}-mailmbox-plugin
%defattr(-,root,root)
%doc mailmbox*/AUTHORS
%doc mailmbox*/ChangeLog
%doc mailmbox*/README
%{_libdir}/%{oname}/plugins/mailmbox*

%files -n %{oname}-newmail-plugin
%defattr(-,root,root)
%doc newmail*/AUTHORS
%doc newmail*/ChangeLog
%doc newmail*/NEWS
%doc newmail*/README
%{_libdir}/%{oname}/plugins/newmail*

%files -n %{oname}-notification-plugin
%defattr(-,root,root)
%doc notif*/AUTHORS
%doc notif*/ChangeLog
%doc notif*/NEWS
%doc notif*/README
%{_libdir}/%{oname}/plugins/noti*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/notification_plugin.mo

%files -n %{oname}-perl-plugin
%defattr(-,root,root)
%doc perl*/AUTHORS
%doc perl*/ChangeLog
%doc perl*/NEWS
%doc perl*/README
%doc perl*/cm_perl.pod
%{_libdir}/%{oname}/plugins/perl*

%files -n %{oname}-rssyl-plugin -f %{oname}-rssyl-plugin.lang
%doc rssyl*/AUTHORS
%doc rssyl*/ChangeLog
%doc rssyl*/NEWS
%{_libdir}/%{oname}/plugins/rssyl*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/rssyl.mo

%files -n %{oname}-smime-plugin
%defattr(-,root,root)
%doc smim*/ChangeLog
%doc smim*/NEWS
%doc smim*/README
%{_libdir}/%{oname}/plugins/smim*

%Files -n %{oname}-synce-plugin
%defattr(-,root,root)
%doc synce*/AUTHORS
%doc synce*/ChangeLog
%doc synce*/NEWS
%doc synce*/README
%{_libdir}/%{oname}/plugins/synce*

%files -n %{oname}-vcalendar-plugin
%defattr(-,root,root)
%doc vcalendar*/AUTHORS
%doc vcalendar*/ChangeLog
%doc vcalendar*/NEWS
%doc vcalendar*/README
%{_libdir}/%{oname}/plugins/vcalendar*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/vcalendar.mo

%files -n %{oname}-vcalendar-plugin-devel
%defattr(-,root,root)
%{_includedir}/%{oname}/plugins/vcalendar/vcal_interface.h

%files -n %{oname}-gtkhtml2_viewer-plugin -f %{oname}-gtkhtml2_viewer-plugin.lang
%defattr(-,root,root)
%doc gtkhtml2*/AUTHORS
%doc gtkhtml2*/ChangeLog
%doc gtkhtml2*/NEWS
%doc gtkhtml2*/README
%{_libdir}/%{oname}/plugins/gtkhtml2_viewer*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/gtkhtml2_viewer.mo

%files -n %{oname}-spam_report-plugin -f %{oname}-spam_report-plugin.lang
%defattr(-,root,root)
%{_libdir}/%{oname}/plugins/spamreport*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/spam_report.mo

%if %mdkversion > 200800
%files -n %{oname}-tnef_parse-plugin -f %{oname}-tnef_parse-plugin.lang
%defattr(-,root,root)
%{_libdir}/%{oname}/plugins/tnef_parse*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/tnef_parse.mo
%endif


%changelog
* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:3.5.0-4mdv2009.0
+ Revision: 229692
- spec file clean
- do not package COPYING and INSTALL files
- add missing build requires on gail-devel and libnotify-devel
- disable rpath and building of static libraries

* Fri Jun 27 2008 Colin Leroy <colinl@mandriva.org> 1:3.5.0-3mdv2009.0
+ Revision: 229542
- remove --no-undefined
- bump rel
- archive plugin doesn't build for some reason
- remove maildir and etpan-privacy, add archive
- new upstream release

* Fri Apr 18 2008 Colin Leroy <colinl@mandriva.org> 1:3.4.0-2mdv2009.0
+ Revision: 195645
- Forgot to increment mkrel

* Fri Apr 18 2008 Colin Leroy <colinl@mandriva.org> 1:3.4.0-1mdv2009.0
+ Revision: 195644
- New package: claws-mail-vcalendar-plugin-devel
- New release

* Sun Feb 24 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.1-1mdv2008.1
+ Revision: 174295
- Fix version
- New upstream release 3.3.1
  The ClamAV plugin has been droped due to licensing
  incompatibilities
- increment rel

* Sat Feb 09 2008 Colin Leroy <colinl@mandriva.org> 1:3.3.0-2mdv2008.1
+ Revision: 164458
- Add epoch
- fix .lang
- New release. Untested package (until kenobi works)

* Wed Jan 16 2008 Colin Leroy <colinl@mandriva.org> 3.2.0-2mdv2008.1
+ Revision: 153698
- Fix Files
- increment mkrel
- remove ical.h
- Revert removal of Buildroot (breaks build on 2007.1)
- Fix dependancy on backport (2007.1)

* Thu Dec 20 2007 Colin Leroy <colinl@mandriva.org> 3.2.0-1mdv2008.1
+ Revision: 135415
- Actually add the source
- uNew 3.2.0 upstream release

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Colin Leroy <colinl@mandriva.org> 3.1.0-3mdv2008.1
+ Revision: 115533
- Enable the TNEF parser plugin now that libytnef is available

* Mon Nov 19 2007 Colin Leroy <colinl@mandriva.org> 3.1.0-2mdv2008.1
+ Revision: 110477
- Update to 3.1.0
  Add tnef_parse plugin, but disable it for now (no libytnef)

  + Lev Givon <lev@mandriva.org>
    - librapi-devel is needed even if the package is built for OS versions < 2008.0.

* Tue Oct 02 2007 Colin Leroy <colinl@mandriva.org> 3.0.2-1mdv2008.0
+ Revision: 94622
- Fix tarball directory
- Upgrade to 3.0.2 (no code change, but rebuild against 3.0.2 required)

* Thu Sep 20 2007 Colin Leroy <colinl@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 91416
- Fix BuildRequires
- Fix claws dependancy
- Update extra plugins to 3.0.1

  + Jérôme Soyer <saispo@mandriva.org>
    - New version 3.0.1

* Tue Sep 04 2007 Jérôme Soyer <saispo@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 79100
- Add spam_report
- New release 3.0

* Mon Jul 16 2007 Jérôme Soyer <saispo@mandriva.org> 2.10.0-1mdv2008.0
+ Revision: 52436
- Add BR
- Add BR
- Push
- New release 2.10.0

* Mon May 28 2007 Jérôme Soyer <saispo@mandriva.org> 2.9.2-1mdv2008.0
+ Revision: 32130
- New release 2.9.2

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 2.9.1-1mdv2008.0
+ Revision: 15004
- Add files
- New release 2.9.1


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 2.8.0-3mdv2007.1
+ Revision: 138689
- Rebuild for latest claws-mail
- Rebuild for new clamav

* Tue Feb 27 2007 Jérôme Soyer <saispo@mandriva.org> 2.8.0-1mdv2007.1
+ Revision: 126780
- Add BR
- Add BR
- New release

* Fri Feb 16 2007 Jérôme Soyer <saispo@mandriva.org> 2.7.1-5mdv2007.1
+ Revision: 121595
- Rebuild for latest RC
- Fix Requires

* Tue Jan 30 2007 Jérôme Soyer <saispo@mandriva.org> 2.7.1-2mdv2007.1
+ Revision: 115328
- Fix BR
- Fix BR
- Bump Release
- Fix BR

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.7.1-1mdv2007.1
+ Revision: 110342
- New release 2.7.1

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 2.7.0-1mdv2007.1
+ Revision: 107257
- Ready for build
- Ready for build
- Fix BR
- New release 2.7.0

* Sat Jan 06 2007 Jérôme Soyer <saispo@mandriva.org> 2.6.1-1mdv2007.1
+ Revision: 104918
- Import claws-mail-plugins

